# FoundationClasses
TKMath
math

# math_RealRandom Class Reference

This class implements a real random generator.
.

`#include <math_RealRandom.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_RealRandom (const Standard_Real Lower, const Standard_Real Upper)
| creates a real random generator between the values Lower and Upper.
Standard_EXPORT void | Reset ()
| reinitializes the random generator
Standard_EXPORT Standard_Real | Next ()
| returns the next random number.

## Private Attributes

Standard_Integer | Dummy
Standard_Real | Low
Standard_Real | Up

## Constructor & Destructor Documentation

Standard_EXPORT math_RealRandom::math_RealRandom | ( | const Standard_Real | Lower,
|  | const Standard_Real | Upper
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Real math_RealRandom::Next | ( |  | ) |

void math_RealRandom::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_RealRandom::operator new | ( | size_t | size | ) | `[inline]`

void* math_RealRandom::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void math_RealRandom::Reset | ( |  | ) |

## Field Documentation

Standard_Integer math_RealRandom::Dummy `[private]`

Standard_Real math_RealRandom::Low `[private]`

Standard_Real math_RealRandom::Up `[private]`

The documentation for this class was generated from the following file:

- math_RealRandom.hxx